Subject: bug#507: compilation problem under Solaris

From: "Langella Raphael" <[email-masked]>
Date: Thu, 3 Jul 2008 16:40:03 +0200

OK, I got it. The patch got screwed when you emailed it. Starting line 11, the # were at the end of the previous line instead of the beginning of the line. Maybe it would be more secure to send patch as attached text file instead of in the body of the message.
Anyway, once corrected, cpp_undefs is correctly defined:
cpp_undefs =  -UProduits -Utmp -Uemacs   -Usparc -Usun -Usolaris2  -Usparc -Usun -Usolaris2

But compilation still fails. Instead of being replaced by "1 ", the "sparc" string is just deleted. See attached src/Makefile.

> -----Message d'origine-----
> De : Glenn Morris [mailto:[email-masked]] 
> Envoyé : mercredi 2 juillet 2008 21:53
> À : [email-masked]
> Cc : control; Langella Raphael
> Objet : RE: bug#507: compilation problem under Solaris
> 
> 
> tags 507 moreinfo
> stop
> 
> Langella Raphael wrote (on Wed, 2 Jul 2008 at 09:59 +0200):
> 
> > It's empty :
> > 
> > cpp_undefs =
> 
> Sorry, but I don't see how that's possible if you apply the 
> patch I originally gave. Eg on Solaris 5.10, I get something 
> of the form:
> 
> cpp_undefs = [...] -Usparc -Usun -Usolaris2
>